Disabling TLS 1.0 and 1.1 and Enabling TLS 1.2

In the near future, we will be disabling Transport Layer Security 1.0 and 1.1 from our servers. Once this happens, systems that do not support TLS 1.2 will not be able to connect to our systems. This is necessary as TLS 1.0 and 1.1 are no longer considered secure by current security standards.

  • Windows 8, 8.1, 10, and 11 support TLS 1.2 and no changes will be necessary to your system.
  • Windows 7 supports TLS 1.2, but is disabled by default, and may require additional steps to enable it, listed below.
  • Windows Vista, XP, and older do not support TLS 1.2. If you are still running one of these operating systems, you should upgrade.

To enable TLS 1.2 support on Windows 7, you will need to perform the following steps: (You can also read more about this from Microsoft.)

  • Have Service Pack 1 installed.
  • Have the Windows Update KB3140245 installed. (Download from Microsoft Catalog.)
  • Update the registry. (Download the Microsoft Easy Fix).

Please contact webmaster@lsuhsc.edu if you have questions or concerns regarding this change.